This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 493238 - GNOME screensaver activates after 5 minutes, irregardless of GUI setting
GNOME screensaver activates after 5 minutes, irregardless of GUI setting
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 22:55 EDT by Neil
Modified: 2015-01-14 18:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 14:23:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Neil 2009-03-31 22:55:29 EDT
Description of problem:
The GNOME screensaver activates after 5 minutes of inactivity, even though I've set the timeout (under System/Preferences/Screensaver) to 30 minutes.  I've also set it to 1 minute, and it still launches after 5 minutes of inactivity.  Note that the correct screensaver is launched (i.e. if I change it from "Blank Screen" to "Cosmos", that works).

Version-Release number of selected component (if applicable):
Fedora 11 Alpha, gnome-screensaver-2.26.0-1.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Set screensaver timeout to anything you want
2. Wait exactly 5 minutes
3.
  
Actual results:
Specified screensaver (blank, cosmos, etc.) launches after 5 minutes of inactivity

Expected results:
Specified screensaver launches after *specified* amount of inactivity

Additional info:
Comment 1 Matthieu Araman 2009-04-05 09:52:39 EDT
Got the same problem 
using rawhide updated to 20090404. 64bit, radeon card, gnome...
I try to put one hour and it doesn't work.
xset q shows all timeout at 0. Is xset the good command to use and what should it show ?
Comment 2 Neil 2009-04-05 13:10:04 EDT
Matthieu, I'm fairly sure that the value reported by "xset" is for the (very basic) X11 screensaver, which no-one uses any more.  The GNOME screen saver is a separate program, with many more features.  FWIW, "xset q" reports 0 for me as well, indicating that the X screensaver will not be activated.

You can try "xset s 1" from a terminal window, and watch as the X screensaver activates after 1 second of inactivity.  It will just blank the screen, instead of doing the animations that the GNOME one does.

Still, it's good to know that others are having the same problem as me!
Comment 3 Matthias Clasen 2009-04-07 14:23:31 EDT
Fixed in gnome-screensaver-2.26.0-2
Comment 4 Neil 2009-04-13 16:33:18 EDT
Confirmed that it's working in gnome-screensaver-2.26.0-2.fc11.x86_64
Thanks!

Note You need to log in before you can comment on or make changes to this bug.